*, html {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    transition: all .5s;
}

/*NavBar*/

nav {
    padding: 10px;
    background-image: linear-gradient(to bottom, var(--color-tertiary)25%, var(--color-primary)75%, #00000000);
    transition: all .5s;
}

nav ul {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

nav ul li:hover {
    background-color: var(--color-secondary);
    color: var(--color-background);
}
nav ul li {
    list-style: none;
    padding: 5px;
    background-color: #00000000;
}

li a {
    color: var(--color-secondary);
    text-decoration: none;
    transition: all .5s;
}

nav ul li a:hover {
    color: var(--color-primary);
}

.light {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    background: var(--color-secondary);
}


table {
  width: 80%;
  border-collapse: collapse;
  margin: 20px 0;
}

th, td {
  border: 1px solid #333; /* Estilo de borda para Arch users (dark) */
  padding: 12px;
  text-align: left;
}

/**/

input {
    margin: 20px;
}

button {
    width: 30px;
    height: 100%;
}

.errado {
    color: var(--color-error);
}

.certo {
    color: var(--color-correct);
}

h2 {
    font-size: clamp(10vw,40px,40vh);
}

/**/

.busca-container {
    position: relative;
    width: 300px;
}

.lista-custom {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    max-height: 150px;
    overflow-y: auto;
    background: #1e1e1e;
    border: 1px solid #1793d1;
    border-top: none;
    list-style: none;
    margin: 0;
    padding: 0;
    display: none;
    z-index: 999;
}

.lista-custom li {
    padding: 10px;
    color: white;
    cursor: pointer;
    border-bottom: 1px solid #333;
}

.lista-custom li:hover {
    background: #1793d1;
}

header {
    padding: 20px;
}

.images img{
    width: 200px;
    height: 200px;
    margin-bottom: 20px;
    border: 1px solid ;
}

.jogos {
    margin-bottom: 20px;
    padding: 5px;
    background-color: var(--color-purple);
    color: var(--color-branco);
    border: 1px solid var(--color-yellow);
    border-radius: 5px 5px 0 0;
}
.jogos:focus {
    outline: none;
}


@media (max-width: 600px) {
    
    table, thead, tbody, th, td, tr {
        display: block;
    }

    thead tr {
        position: absolute;
        top: -9999px;
        left: -9999px;
    }

    tr {
        margin-bottom: 15px;
        border: 1px solid #1793d1;
    }

    td {
        position: relative;
        padding-left: 50%; 
        text-align: right;
    }

    
    td::before {
        content: attr(data-label); 
        position: absolute;
        left: 10px;
        width: 45%;
        text-align: left;
        font-weight: bold;
    }
}